function y = d_sig (x)

# y = d_sig (x), first derivative of sigmoid function,
#
# relies on the fact that if y=sig(x) than y' = y(1-y).
# if x=sig(t), then y=d_sig(x) is y=sig'(t)

	y = x .* (1. - x);
	
endfunction

