function mse = bp_err(data, target, parm)

# data =(observations * input_dimension)
# w_ji = weight from input i to hidden unit j; w_ji = (hidden, i_dimension+1)
# w_kj = weight from hidden j to output unit k; w_ji = (output, hidden+1)
#
# last column of both w_ji and w_kj hold the unit bias
#
# a_j a_k are the activation of hidden layer j and output layer k

global w_ji w_kj a_j a_k

nr = rows(data);

out = bp_fw(data,parm);
d = out - target;
s = d .* d;
ss = sum(s');
mse = sum(ss)/nr;
	
endfunction
