function bp_init(ni,nh,no)

# function bp_init([ni,nh,no])
#
# data =(observations * input_dimension)
# w_ji = weight from input i to hidden unit j; w_ji = (hidden, i_dimension+1)
# w_kj = weight from hidden j to output unit k; w_ji = (output, hidden+1)
#
# last column of both w_ji and w_kj hold the unit bias
#
# use the tanh() activation function on both the hidden and output layer

global w_ji w_kj ow_ji ow_kj odw_ji odw_kj mse_hist

if (nargin == 0)
	if (! exist("w_ji"))
		error('bp_init() must be called at least once with parameters');
	endif
	[nh ni] = size(w_ji); ni=ni-1;
	no = rows(w_kj);
endif

ow_ji = w_ji = 3 .* (rand(nh,ni+1) .- 0.5) ./ sqrt(ni);
ow_kj = w_kj = 3 .* (rand(no,nh+1) .- 0.5) ./ sqrt(nh);

odw_ji = zeros(nh,ni+1);
odw_kj = zeros(no,nh+1);

mse_hist = [];

endfunction
